# Uses of Class
net.shibboleth.idp.authn.context.UserAgentContext

Packages that use UserAgentContext
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of UserAgentContext in net.shibboleth.idp.authn.context

Methods in net.shibboleth.idp.authn.context that return UserAgentContext
Modifier and Type
Method
Description
`UserAgentContext`
UserAgentContext.`setAddress(InetAddress userAgentAddress)`
Set the address of the user-agent host.
`UserAgentContext`
UserAgentContext.`setIdentifier(String id)`
Set the user agent identifier.

## Uses of UserAgentContext in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl declared as UserAgentContext
Modifier and Type
Field
Description
`private UserAgentContext`
ValidateUserAgentAddress.`uaContext`
User Agent context containing address to evaluate.